classification
Title: No documentation for _FromXandFold C API functions
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, cheryl.sabella, docs@python, edison.abahurire, matrixise, miss-islington, p-ganssle
Priority: low Keywords: easy, patch

Created on 2019-05-03 13:51 by p-ganssle, last changed 2019-05-19 02:12 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13147 merged python-dev, 2019-05-07 02:27
PR 13156 merged miss-islington, 2019-05-07 15:00
PR 13204 merged python-dev, 2019-05-08 17:52
PR 13413 merged miss-islington, 2019-05-19 02:06
Messages (11)
msg341337 - (view) Author: Paul Ganssle (p-ganssle) * (Python committer) Date: 2019-05-03 13:51
In Python 3.6, Time_FromTimeAndFold and PyDateTime_FromDateAndTimeAndFold were added as part of the PEP 495 implementation, but no documentation was added for the C API portions of this change: https://docs.python.org/3.7/c-api/datetime.html

The functions were added to this portion of the C API capsule: https://github.com/python/cpython/blob/master/Include/datetime.h#L173

Macros are here: https://github.com/python/cpython/blob/master/Include/datetime.h#L222

These functions should be documented, with `..versionadded:: 3.6`
msg341347 - (view) Author: Paul Ganssle (p-ganssle) * (Python committer) Date: 2019-05-03 16:04
This ticket should be reserved for the mentored sprint.
msg341498 - (view) Author: Edison Abahurire (edison.abahurire) * Date: 2019-05-06 13:45
I'm working on this because I think it should be done complementarily with adding the test for PyDateTime_FromDateAndTimeAndFold at https://bugs.python.org/issue36782. 

#Pycon2019 sprints
msg341676 - (view) Author: Edison Abahurire (edison.abahurire) * Date: 2019-05-07 03:19
I have submitted a PR to address this. Awaiting Review.
msg341742 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-07 15:00
New changeset 5765ecf79fcee987f2f97c246c64b494324dfd33 by Cheryl Sabella (Edison A) in branch 'master':
bpo-36783: Added C API Documentation for Time_FromTimeAndFold and PyDateTime_FromDateAndTimeAndFold (GH-13147)
https://github.com/python/cpython/commit/5765ecf79fcee987f2f97c246c64b494324dfd33
msg341745 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-07 15:06
@edison.abahurire, thanks for the PR!
msg341748 - (view) Author: miss-islington (miss-islington) Date: 2019-05-07 15:17
New changeset 146010ea42fb949a48a1b79a13503995a5176833 by Miss Islington (bot) in branch '3.7':
bpo-36783: Added C API Documentation for Time_FromTimeAndFold and PyDateTime_FromDateAndTimeAndFold (GH-13147)
https://github.com/python/cpython/commit/146010ea42fb949a48a1b79a13503995a5176833
msg342285 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-13 07:23
New changeset d28772ab6967fea136c0707f0207673ebad66f61 by Stéphane Wirtel (Edison A) in branch 'master':
bpo-36783: Add new references for C API Documentation changes (GH-13204)
https://github.com/python/cpython/commit/d28772ab6967fea136c0707f0207673ebad66f61
msg342286 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-13 07:25
Thank you for your PR.

@Cherryl, the PR 13204 was not merged and the issue was closed :/
msg342329 - (view) Author: Paul Ganssle (p-ganssle) * (Python committer) Date: 2019-05-13 13:49
@Stéphane The reason this issue was closed before PR 13204 was merged is that PR 13147 was merged a bit prematurely due to a miscommunication, which is why Cheryl closed the issue. I was going to re-open it after we realized what happened, but since we were at sprints and I knew 13204 was coming soon, I didn't bother.
msg342829 - (view) Author: miss-islington (miss-islington) Date: 2019-05-19 02:12
New changeset 951b161857a840d4d14de0a5a6610e212d78ab68 by Miss Islington (bot) in branch '3.7':
bpo-36783: Add new references for C API Documentation changes (GH-13204)
https://github.com/python/cpython/commit/951b161857a840d4d14de0a5a6610e212d78ab68
History
Date User Action Args
2019-05-19 02:12:04miss-islingtonsetmessages: + msg342829
2019-05-19 02:06:20miss-islingtonsetpull_requests: + pull_request13324
2019-05-13 13:49:24p-gansslesetmessages: + msg342329
2019-05-13 07:25:25matrixisesetmessages: + msg342286
2019-05-13 07:23:43matrixisesetnosy: + matrixise
messages: + msg342285
2019-05-08 17:52:03python-devsetpull_requests: + pull_request13115
2019-05-07 15:17:52miss-islingtonsetnosy: + miss-islington
messages: + msg341748
2019-05-07 15:06:54cheryl.sabellasetmessages: + msg341745
2019-05-07 15:04:59cheryl.sabellasetstatus: open -> closed
type: enhancement
resolution: fixed
stage: patch review -> resolved
2019-05-07 15:00:43miss-islingtonsetpull_requests: + pull_request13073
2019-05-07 15:00:27cheryl.sabellasetmessages: + msg341742
2019-05-07 03:19:48edison.abahuriresetmessages: + msg341676
2019-05-07 02:27:11python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13060
2019-05-06 13:45:14edison.abahuriresetnosy: + edison.abahurire
messages: + msg341498
2019-05-03 16:04:30p-gansslesetassignee: docs@python -> Mariatta
messages: + msg341347
2019-05-03 13:52:32p-gansslesetnosy: + Mariatta, cheryl.sabella
2019-05-03 13:51:55p-gansslecreate